package jp.hasc.hasctool.core.runtime;

import java.io.InputStream;
import java.io.OutputStream;
import java.util.List;

/**
 * @author iwasaki
 */
public interface FileStreamProvider {
	public InputStream openInputStream(String path);
	public OutputStream openOutputStream(String path);
	public void listFileNames(String folderPath, List<String> out);
	public void listSubFolderNames(String folderPath, List<String> out);
}
